Bug 211392 - Character limitation in utils that add kernel name labels in new stanzas
Character limitation in utils that add kernel name labels in new stanzas
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: ppc64-utils (Show other bugs)
3.8
ppc64 Linux
medium Severity medium
: ---
: ---
Assigned To: David Cantrell
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-18 17:34 EDT by Joshua Giles
Modified: 2008-08-02 19:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 14:40:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joshua Giles 2006-10-18 17:34:10 EDT
Description of problem:
There is a typo in the kernel name labels in newly created stanzas within the
boot loader config file (e.g. zipl on s390, yaboot on ppc) when installing
2.4.21-47.0.1.EL kernel RPM.  Notice how the label for the stanza is missing the
'L' in "EL" in the kernel name:

".qa.[root@ppcp-3as root]# cat /etc/yaboot.conf
# yaboot.conf generated by anaconda

boot=/dev/sda1
init-message=Welcome to Red Hat Enterprise Linux AS\!
Hit <TAB> for boot options

partition=2
timeout=30
install=/usr/lib/yaboot/yaboot
delay=10
nonvram

image=/vmlinux-2.4.21-47.0.1.EL
        label=2.4.21-47.0.1.E
        read-only
        initrd=/initrd-2.4.21-47.0.1.EL.img
        append="console=hvc0 root=LABEL=/"
image=vmlinuz-anaconda
        label=Autotest_4
..."

So, the name is truncated...
Version-Release number of selected component (if applicable):
ppc64-utils-0.7-2.ppc

How reproducible:
100%

Steps to Reproduce:
1. Install the aforementioned RPM
2.
3.
  
Actual results:
See above...

Expected results:
Should handle long kernel names

Additional info:
Comment 1 David Cantrell 2007-08-23 12:12:58 EDT
Is it happening on RHEL 3.9?  Even if it is, there's not much we can do at this
point.  I doubt there will be a 3.10 and even if there is, this wouldn't make
the cut for that release.

Also worth checking RHEL4 and RHEL5.  If it's working in those, I would say the
bug is closable.
Comment 2 RHEL Product and Program Management 2007-10-19 14:40:30 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.